<?xml version="1.0" encoding="UTF-8"?>

<web-app 
	xmlns="http://java.sun.com/xml/ns/j2ee"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
	version="2.4">
  <display-name>WorkStyle</display-name>
  
  <filter>
    <filter-name>TorqueFilter</filter-name>
    <filter-class>net.yher.workstyle.util.TorqueFilter</filter-class>
      <init-param>
        <param-name>path</param-name>
        <param-value>Torque.properties</param-value>
      </init-param>
  </filter>
  <filter>
    <filter-name>EncodingFilter</filter-name>
    <filter-class>net.yher.commons.http.EncodingFilter</filter-class>
      <init-param>
        <param-name>encoding</param-name>
        <param-value>UTF-8</param-value>
      </init-param>
  </filter>
  <filter-mapping>
    <filter-name>EncodingFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>

  <!-- Standard Action Servlet Configuration (with debugging) -->
  <servlet>
    <servlet-name>action</servlet-name>
    <servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
    <init-param>
      <param-name>config</param-name>
      <param-value>/WEB-INF/struts-config.xml</param-value>
    </init-param>
    <init-param>
      <param-name>debug</param-name>
      <param-value>2</param-value>
    </init-param>
    <init-param>
      <param-name>detail</param-name>
      <param-value>2</param-value>
    </init-param>
    <load-on-startup>2</load-on-startup>
  </servlet>
  <servlet>
    <servlet-name>velocity</servlet-name>
    <servlet-class>net.yher.commons.struts.VelocityLayoutServlet</servlet-class>
    <init-param>
      <param-name>org.apache.velocity.toolbox</param-name>
      <param-value>/WEB-INF/toolbox.xml</param-value>
    </init-param>
    <init-param>
      <param-name>org.apache.velocity.properties</param-name>
      <param-value>/WEB-INF/classes/velocity.properties</param-value>
    </init-param>
    <load-on-startup>5</load-on-startup>
  </servlet>
  <servlet>
    <servlet-name>velocity-xml</servlet-name>
    <servlet-class>net.yher.commons.struts.VelocityXmlServlet</servlet-class>
    <init-param>
      <param-name>org.apache.velocity.toolbox</param-name>
      <param-value>/WEB-INF/toolbox.xml</param-value>
    </init-param>
    <init-param>
      <param-name>org.apache.velocity.properties</param-name>
      <param-value>/WEB-INF/classes/velocity.properties</param-value>
    </init-param>
    <init-param>
      <param-name>contentType</param-name>
      <param-value>text/xml</param-value>
    </init-param>
	<init-param>
		<param-name>encoding</param-name>
		<param-value>UTF-8</param-value>
	</init-param>
    <load-on-startup>2</load-on-startup>
  </servlet>
  <servlet>
    <servlet-name>velocity-js</servlet-name>
    <servlet-class>net.yher.commons.struts.VelocityServlet</servlet-class>
    <init-param>
      <param-name>org.apache.velocity.toolbox</param-name>
      <param-value>/WEB-INF/toolbox.xml</param-value>
    </init-param>
    <init-param>
      <param-name>org.apache.velocity.properties</param-name>
      <param-value>/WEB-INF/classes/velocity.properties</param-value>
    </init-param>
    <init-param>
      <param-name>contentType</param-name>
      <param-value>application/x-javascript</param-value>
    </init-param>
	<init-param>
		<param-name>encoding</param-name>
		<param-value>UTF-8</param-value>
	</init-param>
    <load-on-startup>1</load-on-startup>
  </servlet>
  <servlet>
    <servlet-name>waft-controller</servlet-name>
    <servlet-class>net.yher.waft.controller.ControllerServlet</servlet-class>
    <init-param>
      <param-name>path</param-name>
      <param-value>/WEB-INF/url_map</param-value>
    </init-param>
    <init-param>
      <param-name>release</param-name>
      <param-value>false</param-value>
    </init-param>
    <load-on-startup>1</load-on-startup>
  </servlet>

  <!-- Standard Action Servlet Mapping -->
  <servlet-mapping>
    <servlet-name>velocity-js</servlet-name>
    <url-pattern>*.vjs</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>velocity</servlet-name>
    <url-pattern>*.vhtml</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
  <servlet-name>velocity-xml</servlet-name>
    <url-pattern>*.vxml</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>default</servlet-name>
    <url-pattern>*.css</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>default</servlet-name>
    <url-pattern>*.jpg</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>default</servlet-name>
    <url-pattern>*.png</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>default</servlet-name>
    <url-pattern>*.gif</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>default</servlet-name>
    <url-pattern>*.js</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>default</servlet-name>
    <url-pattern>*.ajp</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>default</servlet-name>
    <url-pattern>*.xml</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>default</servlet-name>
    <url-pattern>*.html</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>waft-controller</servlet-name>
    <url-pattern>/view.do</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>waft-controller</servlet-name>
    <url-pattern>/atom/searchLatest.do</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>action</servlet-name>
    <url-pattern>*.do</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>waft-controller</servlet-name>
    <url-pattern>/</url-pattern>
  </servlet-mapping>

  <!-- The Usual Welcome File List -->
  <welcome-file-list>
    <welcome-file>search</welcome-file>
  </welcome-file-list>


  <!-- Struts Tag Library Descriptors -->
</web-app>
